#
# sample1.py
#
# Copyright (c) 2020 https://www.curict.com
# This software is released under the MIT License, see LICENSE.txt.
#

# psycopg2 モジュールのインポート
import psycopg2

# PostgreSQL Server へ接続
conn = psycopg2.connect('host=localhost port=5432 dbname=test user=postgres password=pass')

# カーソルを取得
with conn.cursor() as cur:
    # テーブルを作成する SQL を準備
    sql = '''
          CREATE TABLE TestTable (
            pageNo   integer Not Null ,
            typeName VARCHAR (250),
            count    INTEGER,
            data     TEXT,
            CONSTRAINT TestTable_pkey PRIMARY KEY (pageNo)
          );
          '''

    # SQL を実行し、テーブル作成
    cur.execute(sql)

# コミットし、変更を確定する
conn.commit()

# 接続を閉じる
conn.close()
